## ros-indigo-jsk-perception 1.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_perception)

# ------------------------------------------------------------------------------------
# Initialization
#  1. Resolve dependencies with find_package
#  2. Set build flags
# ------------------------------------------------------------------------------------

# Use ccache if installed to make it fast to generate object files
find_program(CCACHE_FOUND ccache)
if(CCACHE_FOUND)
  set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
  set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
endif()

find_package(catkin REQUIRED COMPONENTS
  angles
  cmake_modules
  cv_bridge
  dynamic_reconfigure
  geometry_msgs
  image_geometry
  image_transport
  image_view2
  jsk_data
  jsk_recognition_msgs
  jsk_recognition_utils
  jsk_topic_tools
  message_generation
  mk
  nodelet
  opencv_apps
  pcl_ros
  posedetection_msgs
  roscpp
  roseus
  rospack
  sensor_msgs
  std_msgs
  tf)

find_package(Boost REQUIRED COMPONENTS filesystem system signals)

find_package(OpenCV REQUIRED)
message("OPENCV ${OpenCV_VERSION} FOUND")

find_package(Eigen3)
if(EIGEN3_FOUND)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
else()
  # Fallback to cmake_modules
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()

include(FindPkgConfig)
pkg_check_modules(yaml_cpp yaml-cpp REQUIRED)
if(${yaml_cpp_VERSION} VERSION_LESS "0.5.0")
## indigo yaml-cpp : 0.5.0 /  hydro yaml-cpp : 0.3.0
  add_definitions("-DUSE_OLD_YAML")
endif()

pkg_check_modules(libcmt REQUIRED libcmt)

# robot_self_filter is released on version greater than indigo
find_package(robot_self_filter QUIET)
if(NOT robot_self_filter_FOUND)
  # check existence of robot_self_filter package because robot_self_filter is not installed by apt on version less than indigo
  find_package(PkgConfig)
  pkg_check_modules(robot_self_filter robot_self_filter QUIET)
endif()

find_package(OpenMP)
if(OPENMP_FOUND)
  message("OPENMP FOUND")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif()
add_definitions("-g -O2")
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif()

# ------------------------------------------------------------------------------------
# Download
# ------------------------------------------------------------------------------------

# download and install learning datasets
add_custom_target(${PROJECT_NAME}_install_learning_datasets ALL COMMAND ${PROJECT_SOURCE_DIR}/scripts/install_learning_datasets.py)
# download and install sample data
add_custom_target(${PROJECT_NAME}_install_sample_data ALL COMMAND ${PROJECT_SOURCE_DIR}/scripts/install_sample_data.py)
# download and install trained data
add_custom_target(${PROJECT_NAME}_install_trained_data ALL COMMAND ${PROJECT_SOURCE_DIR}/scripts/install_trained_data.py)

# ------------------------------------------------------------------------------------
# Catkin setup
# ------------------------------------------------------------------------------------

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(
  cfg/ConcaveHullMaskImage.cfg
  cfg/RectArrayActualSizeFilter.cfg
  cfg/PolygonArrayColorLikelihood.cfg
  cfg/PolygonArrayColorHistogram.cfg
  cfg/TabletopColorDifferenceLikelihood.cfg
  cfg/ProjectImagePoint.cfg
  cfg/MaskImageGenerator.cfg
  cfg/MorphologicalMaskImageOperator.cfg
  cfg/BlobDetector.cfg
  cfg/SingleChannelHistogram.cfg
  cfg/ColorHistogramLabelMatch.cfg
  cfg/GridLabel.cfg
  cfg/SLICSuperPixels.cfg
  cfg/SnakeSegmentation.cfg
  cfg/camshiftdemo.cfg
  cfg/matchtemplate.cfg
  cfg/point_pose_extractor.cfg
  cfg/RectangleDetector.cfg
  cfg/ColorHistogram.cfg
  cfg/ColorHistogramSlidingMatcher.cfg
  cfg/BackgroundSubstraction.cfg
  cfg/GrabCut.cfg
  cfg/Fisheye.cfg
  cfg/SlidingWindowObjectDetector.cfg
  cfg/ImagePublisher.cfg
  cfg/ExtractImageChannel.cfg
  cfg/GaussianBlur.cfg
  cfg/KMeans.cfg
  cfg/ImageTimeDiff.cfg
  cfg/OverlayImageColorOnMono.cfg
  cfg/SelectiveSearch.cfg
  cfg/LabelToMaskImage.cfg
  cfg/FlowVelocityThresholding.cfg
  cfg/FilterMaskImageWithSize.cfg
  cfg/FastRCNN.cfg
  cfg/DrawRects.cfg
  cfg/FacePoseEstimation.cfg
  cfg/LabelImageDecomposer.cfg
  cfg/SSDObjectDetector.cfg
)

message(WARNING "DEPRECATION WARNING: srv files in jsk_pcl_ros are deprecated."
        " Please use those in jsk_recognition_msgs.")
# TODO(wkentaro): Remove deprecated srv files.
add_service_files(FILES
  EuclideanSegment.srv
  NonMaximumSuppression.srv
  SetTemplate.srv
  WhiteBalancePoints.srv
  WhiteBalance.srv
)

generate_messages(
  DEPENDENCIES std_msgs sensor_msgs geometry_msgs jsk_recognition_msgs
)

catkin_package(
  CATKIN_DEPENDS
  geometry_msgs
  jsk_recognition_msgs
  jsk_recognition_utils
  message_runtime
  posedetection_msgs
  sensor_msgs
  std_msgs
  DEPENDS
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS}
  LIBRARIES ${PROJECT_NAME} oriented_gradient
)


# ------------------------------------------------------------------------------------
# Build
# ------------------------------------------------------------------------------------
if(NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/slic/slic.cpp)
  message(WARNING "slic/slic.cpp is not exists, download this")
  execute_process(COMMAND git submodule init slic   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
  execute_process(COMMAND git submodule update slic WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif()

if(NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/node_scripts/deep_sort/deep_sort/README.md)
  message(WARNING "node_scripts/deep_sort/deep_sort is not exists, download this")
  execute_process(COMMAND git submodule init deep_sort   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/node_scripts/deep_sort)
  execute_process(COMMAND git submodule update deep_sort WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/node_scripts/deep_sort)
endif()

# Build nodelet executables
include_directories(include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} slic ${libcmt_INCLUDE_DIRS})
if(robot_self_filter_FOUND)
  include_directories(${robot_self_filter_INCLUDE_DIRS})
endif()
link_directories(${libcmt_LIBRARY_DIRS})

file(GLOB ${PROJECT_NAME}_node_scripts ${PROJECT_SOURCE_DIR}/node_scripts/*)
foreach(_node_script ${${PROJECT_NAME}_node_scripts})
  get_filename_component(_node_name ${_node_script} NAME_WE)
  get_filename_component(_basename ${_node_script} NAME)
  if(NOT EXISTS ${PROJECT_SOURCE_DIR}/test/${_node_name}.test)
    list(APPEND ${PROJECT_NAME}_nodes_without_test node_scripts/${_basename})
  endif()
endforeach()

macro(jsk_add_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)
  if(NOT EXISTS "${PROJECT_SOURCE_DIR}/test/${_single_nodelet_exec_name}.test")
    list(APPEND ${PROJECT_NAME}_nodes_without_test ${_nodelet_cpp})
  endif()
  jsk_nodelet(${_nodelet_cpp} ${_nodelet_class} ${_single_nodelet_exec_name}
    ${PROJECT_NAME}_nodelet_sources ${PROJECT_NAME}_nodelet_executables)
endmacro()

jsk_add_nodelet(src/filter_mask_image_with_size.cpp "jsk_perception/FilterMaskImageWithSize" "filter_mask_image_with_size")
jsk_add_nodelet(src/flow_velocity_thresholding.cpp "jsk_perception/FlowVelocityThresholding" "flow_velocity_thresholding")
jsk_add_nodelet(src/bounding_box_to_rect.cpp "jsk_perception/BoundingBoxToRect" "bounding_box_to_rect")
jsk_add_nodelet(src/rect_array_actual_size_filter.cpp "jsk_perception/RectArrayActualSizeFilter" "rect_array_actual_size_filter")
jsk_add_nodelet(src/rect_array_to_density_image.cpp "jsk_perception/RectArrayToDensityImage" "rect_array_to_density_image")
jsk_add_nodelet(src/polygon_array_color_likelihood.cpp "jsk_perception/PolygonArrayColorLikelihood" "polygon_array_color_likelihood")
jsk_add_nodelet(src/polygon_array_color_histogram.cpp "jsk_perception/PolygonArrayColorHistogram" "polygon_array_color_histogram")
jsk_add_nodelet(src/sparse_image_encoder.cpp "jsk_perception/SparseImageEncoder" "sparse_image_encoder")
jsk_add_nodelet(src/sparse_image_decoder.cpp "jsk_perception/SparseImageDecoder" "sparse_image_decoder")
jsk_add_nodelet(src/color_histogram.cpp "jsk_perception/ColorHistogram" "color_histogram")
jsk_add_nodelet(src/background_substraction_nodelet.cpp "jsk_perception/BackgroundSubstraction" "background_substraction")
jsk_add_nodelet(src/fisheye_to_panorama.cpp "jsk_perception/FisheyeToPanorama" "fisheye_to_panorama")
jsk_add_nodelet(src/grabcut_nodelet.cpp "jsk_perception/GrabCut" "grabcut")
jsk_add_nodelet(src/slic_superpixels.cpp "jsk_perception/SLICSuperPixels" "slic_super_pixels")
jsk_add_nodelet(src/rgb_decomposer.cpp "jsk_perception/RGBDecomposer" "rgb_decomposer")
jsk_add_nodelet(src/hsv_decomposer.cpp "jsk_perception/HSVDecomposer" "hsv_decomposer")
jsk_add_nodelet(src/lab_decomposer.cpp "jsk_perception/LabDecomposer" "lab_decomposer")
jsk_add_nodelet(src/ycc_decomposer.cpp "jsk_perception/YCCDecomposer" "ycc_decomposer")
jsk_add_nodelet(src/contour_finder.cpp "jsk_perception/ContourFinder" "contour_finder")
jsk_add_nodelet(src/snake_segmentation.cpp "jsk_perception/SnakeSegmentation" "snake_segmentation")
jsk_add_nodelet(src/colorize_labels.cpp "jsk_perception/ColorizeLabels" "colorize_labels")
jsk_add_nodelet(src/colorize_float_image.cpp "jsk_perception/ColorizeFloatImage" "colorize_float_image")
jsk_add_nodelet(src/overlay_image_color_on_mono.cpp "jsk_perception/OverlayImageColorOnMono" "overlay_image_color_on_mono")
jsk_add_nodelet(src/grid_label.cpp "jsk_perception/GridLabel" "grid_label")
jsk_add_nodelet(src/color_histogram_label_match.cpp "jsk_perception/ColorHistogramLabelMatch" "color_histogram_label_match")
jsk_add_nodelet(src/apply_mask_image.cpp "jsk_perception/ApplyMaskImage" "apply_mask_image")
jsk_add_nodelet(src/unapply_mask_image.cpp "jsk_perception/UnapplyMaskImage" "unapply_mask_image")
jsk_add_nodelet(src/single_channel_histogram.cpp "jsk_perception/SingleChannelHistogram" "single_channel_histogram")
jsk_add_nodelet(src/blob_detector.cpp "jsk_perception/BlobDetector" "blob_detector")
jsk_add_nodelet(src/add_mask_image.cpp "jsk_perception/AddMaskImage" "add_mask_image")
jsk_add_nodelet(src/multiply_mask_image.cpp "jsk_perception/MultiplyMaskImage" "multiply_mask_image")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/ErodeMaskImage" "erode_mask_image")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/DilateMaskImage" "dilate_mask_image")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/Opening" "opening")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/Closing" "closing")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/MorphologicalGradient" "morphological_gradient")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/TopHat" "top_hat")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/BlackHat" "black_hat")
jsk_add_nodelet(src/label_to_mask_image.cpp "jsk_perception/LabelToMaskImage" "label_to_mask_image")
jsk_add_nodelet(src/rect_to_mask_image.cpp "jsk_perception/RectToMaskImage" "rect_to_mask_image")
jsk_add_nodelet(src/mask_image_to_roi.cpp "jsk_perception/MaskImageToROI" "mask_image_to_roi")
jsk_add_nodelet(src/mask_image_to_rect.cpp "jsk_perception/MaskImageToRect" "mask_image_to_rect")
jsk_add_nodelet(src/bounding_rect_mask_image.cpp "jsk_perception/BoundingRectMaskImage" "bounding_rect_mask_image")
jsk_add_nodelet(src/bounding_object_mask_image.cpp "jsk_perception/BoundingObjectMaskImage" "bounding_object_mask_image")
jsk_add_nodelet(src/roi_to_rect.cpp "jsk_perception/ROIToRect" "roi_to_rect")
jsk_add_nodelet(src/roi_to_mask_image.cpp "jsk_perception/ROIToMaskImage" "roi_to_mask_image")
jsk_add_nodelet(src/polygon_to_mask_image.cpp "jsk_perception/PolygonToMaskImage" "polygon_to_mask_image")

=== debian/changelog ===
ros-indigo-jsk-perception (1.2.7-0trusty) trusty; urgency=high

  * [jsk_perception/ssd_object_detector.py] Add header for publishing result image (#2367 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2367> )
  * [jsk_perception] Add deep_sort_tracker_node.py (#2351 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2351> )
    
      * [jsk_perception/deep_sort_net.py] Fixed deep_sort_net import
      * [jsk_perception/test/deep_sort_tracker.test] Disable gpu in test
      * [jsk_perception/sample_deep_sort_tracker.launch] Refactor
      * [jsk_perception/deep_sort_tracker_node.py] Modified import file not to depend on tensorflow
      * Revert "[jsk_perception/deep_sort_tracker] Add dependencies of tensorflow"
        This reverts commit 7dac944cfc9292d81b8bdb90d89e8100eda2bf3a.
      * [jsk_perception/deep_sort_tracker] Add dependencies of tensorflow
      * [jsk_perception/deep_sort_tracker] Install git submodule directory to node_scripts/deep_sort/deep_sort
      * [jsk_perception/deep_sort_tracker_node.py] Add target_labels param to specify input labels/recst
      * [jsk_perception/deep_sort_tracker_node.py] Add test
      * [jsk_perception/deep_sort_tracker_node.py] Renamed publish image topic vis -> viz
      * [jsk_perception/deep_sort_tracker_node.py] Publish labelarray
      * [jsk_perception/sample/deep_sort_tracker] Add pretrained model load
      * [jsk_perception/deep_sort_tracker_noder.py] Add node
      * [jsk_perception/deep_sort_tracker_node.py] Add sample
      * [jsk_perception/install_trained_data.py] Add deepsort trained model
      * [jsk_perception] Add deep_sort by gitsubmodule
    
  * [doc] [jsk_perception] Add documentation (#2385 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2385> )
    
      * Rewrite matchtemplate.py with cv2
      * Add test for matchtemplate.py
      * Enable random_forest_server.test only in indigo.
      * Add sample for matchtemplate.py
      * Fix conversion for latest cv_bridge: imgmsg <-> cv2 <-> cv
      * Add test for fisheye_ray.py
      * Add sample for fisheye_ray.py
      * Fix for undefined global variable in fisheye_ray.py
      * Add test for random_forest_server
      * Publish ~output/debug_image in random_forest_client_sample.py
      * Fix for executing RandomForestClassifier
      * Remove unused sklearn module which causes ImportError in sklearn>=0.20
      * Add ~slop param to bof_histogram_extractor
      * Show viewer if gui:=true in sample_background_subtraction
      * Remove unused remapping in sparse_image.test
      * Fix sparse_image_encoder/decoder sample
    
  * [jsk_perception] Support fcn8s_atonce model in fcn_object_segmentation.py (#2375 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2375> )
    
      * Fix typo: fcn8s_atonce -> fcn8s_at_once
      * Support fcn8s_atonce model in fcn_object_segmentation.py
    
  * [jsk_perception] fix load path for kalmanlib.l (#2377 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2377> )
  * [doc] [jsk_perception] [jsk_recognition_utils] Add guide to image recognition with deep learning (#2365 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2365>)
    
      * Add doc for image annotation
      * Add annotate_images_with_labelme to index
      * Add dataset class for semantic segmentation
      * Add install_learning_datasets script
      * Download datasets during catkin build
      * Add .gitignore in learning_datasets/
      * Add train_fcn script
      * Set default learning_rate to valid value
      * Enable plotting from remote host as well
      * Add doc for training FCN
      * Add doc for starting deep learning with image dataset
      * Add how to create dataset, where to store it in documentation
      * Dump param for fcn_object_segmentation.py
      * Add InstanceSegmentationDataset
      * Add train script for Mask-RCNN
      * Fix model_name and outputs in train_fcn.md
      * Add doc for training Mask-RCNN
    
  * Contributors: Kei Okada, Yuki Furuta, Yuto Uchimi, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-indigo-jsk-perception (1.2.6-0trusty) trusty; urgency=high

  * Add hand pose detection (#2324 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2324>)
    * [jsk_perception/people_pose_estimation.py] Fixed for cpu inference
    * [jsk_perception/people_pose_estimation.py] Diable train and enable_backprop
    * [jsk_perception/people_pose_estimation_2d] Add hand width offset
    * pointit: add handle exception on tf2
    * pointit: add min threshold
    * jsk_perception: add pointit
    * people_pose_estimation_2d: support hand detection
  * [jsk_perception] Add human mesh recovery(estimate people 3d pose from 2d image) (#2332 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2332>)
    * clean up jsk_perception/scripts/install_trained_data.py around if _chainer_available
    * [jsk_perception/human_mesh_recovery] Refactor
    * [jsk_perception/human_mesh_recovery] Add test
    * [jsk_perception/human_mesh_recovery] Add sample
    * [jsk_perception/human_mesh_recovery] Add install model file code
    * [jsk_perception/human_mesh_recovery] Add node
  * [jsk_perception/openpose] Add resize image (#2300 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2300>)
    * [jsk_perception/openpose] Fixed logic
    * [jsk_perception/openpose] Add warning
    * [jsk_perception/openpose] Add resize image
  * [jsk_perception/ssd_object_detector] Add hand pretrained model (#2333 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2333>)
  * Fix install destination (#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
    * Install 'node_scripts', 'scripts', 'test' into SHARE_DESTINATION
  * [jsk_perception/sample_mask_rcnn] Fixed typo. fps -> rate (#2353 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2353>)


=== debian/control ===
Source: ros-indigo-jsk-perception
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git, libeigen3-dev, libyaml-cpp-dev, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-image-view2, ros-indigo-jsk-data, ros-indigo-jsk-recognition-msgs, ros-indigo-jsk-recognition-utils, ros-indigo-jsk-tools, ros-indigo-jsk-topic-tools, ros-indigo-libcmt, ros-indigo-message-generation, ros-indigo-mk, ros-indigo-nodelet, ros-indigo-opencv-apps, ros-indigo-pcl-ros, ros-indigo-posedetection-msgs, ros-indigo-robot-self-filter, ros-indigo-roscpp, ros-indigo-roseus, ros-indigo-roslaunch, ros-indigo-roslint, ros-indigo-rospack, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://jsk-docs.readthedocs.io/en/latest/jsk_recognition/doc/jsk_perception
Standards-Version: 3.9.2

Package: ros-indigo-jsk-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libleveldb-dev, libyaml-cpp-dev, python-h5py, python-sklearn, python-yaml, ros-indigo-angles, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-image-view, ros-indigo-image-view2, ros-indigo-imagesift, ros-indigo-jsk-data, ros-indigo-jsk-gui-msgs, ros-indigo-jsk-recognition-msgs, ros-indigo-jsk-recognition-utils, ros-indigo-jsk-rqt-plugins, ros-indigo-jsk-topic-tools, ros-indigo-libcmt, ros-indigo-message-runtime, ros-indigo-mk, ros-indigo-ml-classifiers, ros-indigo-nodelet, ros-indigo-opencv-apps, ros-indigo-openni2-launch, ros-indigo-pcl-ros, ros-indigo-posedetection-msgs, ros-indigo-robot-self-filter, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-roseus, ros-indigo-rospack, ros-indigo-rospy, ros-indigo-rostopic, ros-indigo-rqt-gui, ros-indigo-rviz, ros-indigo-sensor-msgs, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-tf
Description: ROS nodes and nodelets for 2-D image perception.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-perception//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
